ServerEvents.recipes(event => {
    //Toms Storage

    event.shaped(`8x toms_storage:ts.inventory_cable`, ['TTT', 'GGG', 'TTT'], { T: "aquaculture:driftwood", G: tin_ingot }).id(`toms_storage:inventory_cable`)
    event.shaped(`1x toms_storage:ts.inventory_connector`, ['CSC', 'SHS', 'CSC'], { S: "submerged:storage_core", C: 'toms_storage:ts.inventory_cable', H: chest }).id(`toms_storage:inventory_connector`)
    event.shaped(`1x toms_storage:ts.inventory_cable_connector`, [' C ', 'CSC', ' C '], { S: "submerged:storage_core", C: 'toms_storage:ts.inventory_cable' }).id(`toms_storage:inventory_cable_connector`)
    event.shaped(`1x toms_storage:ts.inventory_cable_connector_filtered`, [' C ', 'CSC', ' C '], { S: "toms_storage:ts.inventory_cable_connector", C: 'minecraft:paper' }).id(`toms_storage:inventory_cable_connector_filtered`)
    event.shaped(`1x toms_storage:ts.storage_terminal`, ['SHS', 'CCC', 'SHS'], { S: "submerged:storage_core", C: 'toms_storage:ts.inventory_cable', H: chest }).id(`toms_storage:storage_terminal`)
    event.shaped(`1x toms_storage:ts.crafting_terminal`, [' C ', 'CSC', ' C '], { S: "toms_storage:ts.storage_terminal", C: crafting_table }).id(`toms_storage:crafting_terminal`)

    event.shaped(`1x toms_storage:ts.item_filter`, [' T ', 'TPT', ' T '], { T: tin_nugget, P: "minecraft:paper" }).id(`toms_storage:item_filter`)
    event.shaped(`1x toms_storage:ts.tag_item_filter`, [' T ', 'TPT', ' T '], { T: bronze_nugget, P: "minecraft:paper" }).id(`toms_storage:tag_item_filter`)
    event.shaped(`1x toms_storage:ts.polymorphic_item_filter`, [' T ', 'TPT', ' T '], { T: copper_nugget, P: "minecraft:paper" }).id(`toms_storage:polymorphic_item_filter`)

    event.replaceInput({ id: "toms_storage:inventory_hopper_basic" }, hopper, wooden_hopper)

})